[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# GetWindowRect

Retrieves the bounding rectangle for a window, including the window decoration in screen coordinates.

## Declaration

Source position: winapih.inc line 160

`function GetWindowRect(`
`Handle: HWND;`
`var Rect: TRect`
`):Integer;`

## Description

Retrieves the bounding rectangle of a window, including the window decoration. The coordinates are given relative to the upper-left corner of the screen in screen.

After the call, Rect will be the control area in screen coordinates. That means, Left and Top will be the screen coordinate of the TopLeft pixel of the Handle object and Right and Bottom will be the screen coordinate of the BottomRight pixel.

## See also

GetWindowSize |  | Returns the Width and Height of a window, including the window decoration.
SetWindowPos |  | Changes the size, position, and Z order of a window.